MojoMojo::Formatter::GoogleSearch(3)

NAME
MojoMojo::Formatter::GoogleSearch - Linked Google Search Engine by writing {{google:<search kind> <keyword>}}

DESCRIPTION
Normally, to hyperlink to a Search Engine, you'd write:

    [google SearchWord](http://www.google.com/search?q=SearchWord)

This plugin lets you write just

    {{google SearchWord}}

not just Search Web, you can search images and movies

    {{google:image SearchWord}}
    {{google:movie SearchWord}}

METHODS

  format_content_order
The SearchEngine formatter has no special requirements in terms of the order it gets run in, so it has a priority of 16.

  format_content
Calls the formatter. Takes a ref to the content as well as the context object.

  process
Here the actual formatting is done.

SEE ALSO
MojoMojo and Module::Pluggable::Ordered.

AUTHORS
Dai Okabayashi, "bayashi at cpan . org"

LICENSE
This library is free software. You can redistribute it and/or modify it under the same terms as Perl itself.